geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMODEVTOOLS-600) Build script should detect JDK data model(32bit or 64bit) instead of OS architecture
Date Mon, 10 May 2010 07:13:47 GMT

     [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-600?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Delos Dai closed GERONIMODEVTOOLS-600.
--------------------------------------


> Build script should detect JDK data model(32bit or 64bit) instead of OS architecture
> ------------------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-600
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-600
>             Project: Geronimo-Devtools
>          Issue Type: Improvement
>          Components: eclipse-plugin
>    Affects Versions: 2.2.1
>            Reporter: Delos Dai
>            Assignee: Delos Dai
>             Fix For: 2.2.1
>
>
> In current eclipse/pom.xml, maven activation will detect OS architecture to decide which
version of eclipse to be downloaded. It often fails on 64-bit system because of two reasons,because
a 64-bit system may either use a 32-bit JDK or 64-bit JDK. Therefor, we have to detect JDK
data model(32bit or 64bit) instead of OS architecture. 
> After my investigation, we can make use of property "sun.arch.data.model" to get the
JDK data model. With this property, we can improve the build script to find correct eclipse
version based on JDK data model.
>  

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message